<?php


# Подсказка
if($ini['last_ques']<time()-$set['umtime']/2 && $ini['pd'] == 0)
{
	$ans=$ini['ans'];
	$pods=iconv_substr($ans,0,1,'utf-8');
	$text="Подсказка: $pods..";
	$time=time();
	mysql_query("INSERT INTO `chat_posts` (rid,id_user,time,msg) values(".$room['id'].",0,".time().",'".$text."')");
	mysql_query("UPDATE `chat_ini` SET `value` = 1 WHERE `id` = 'pd'");
}

$piple=$ini['us'];
if(!empty($piple))
{
	$ans=$ini['ans'];
	$text='Правильный ответ был '.trim($ans).'.На вопрос ответили: <a href="../p/'.$piple.'">'.$piple.'</a><br />
	Следующий вопрос через 10 секунд';
	mysql_query("UPDATE `chat_ini` SET `value` = '' WHERE `id` = 'ans'");
	mysql_query("UPDATE `chat_ini` SET `value` = '' WHERE `id` = 'us'");
	mysql_query("UPDATE `chat_ini` SET `value` = 1 WHERE `id` = 'time'");
	mysql_query("INSERT INTO `chat_posts` (rid,id_user,time,msg) values(".$room['id'].",0,".time().",'".$text."')");
}
elseif(empty($piple) && $ini['last_ques']<time()-$set['umtime'] && $ini['time'] == 0)
{
	$ans=$ini['ans'];
	$text="Время истекло.Правильный ответ был ".trim($ans).".На вопрос никто не ответил<br />
	Следующий вопрос через 10 секунд";
	mysql_query("UPDATE `chat_ini` SET `value` = '' WHERE `id` = 'ans'");
	mysql_query("UPDATE `chat_ini` SET `value` = 1 WHERE `id` = 'time'");
	mysql_query("INSERT INTO `chat_posts` (rid,id_user,time,msg) values(".$room['id'].",0,".time().",'".$text."')");
}
# Если последний вопрос был давно
if($ini['last_ques']<time()-$set['umtime']-20)
{
	$vopros=mysql_fetch_assoc(mysql_query("SELECT * from `questions` ORDER by rand() limit 1"));
	mysql_query("UPDATE `chat_ini` SET `value` = 0 WHERE `id` = 'pd'");
	mysql_query("UPDATE `chat_ini` SET `value` = ".time()." WHERE `id` = 'last_ques'");
	mysql_query("UPDATE `chat_ini` SET `value` = '".$vopros['otvet']."' WHERE `id` = 'ans'");
	$newtime=time();
	$len=iconv_strlen(trim($vopros['otvet']),'utf-8');
	$text="<strong>Вопрос:</strong> $vopros[vopros] ($len букв)";
	mysql_query("INSERT INTO `chat_posts` (rid,id_user,time,msg) values(".$room['id'].",0,".time().",'".$text."')");
	mysql_query("UPDATE `chat_ini` SET `value` = 0 WHERE `id` = 'time'");
}
?>